object frmWIATest: TfrmWIATest
  Left = 310
  Top = 152
  Width = 920
  Height = 718
  Caption = 'TWIAScan demo application'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnShow = FormShow
  PixelsPerInch = 96
  TextHeight = 13
  object PageControl1: TPageControl
    Left = 0
    Top = 89
    Width = 912
    Height = 602
    ActivePage = tsPic
    Align = alClient
    TabIndex = 1
    TabOrder = 0
    object tbAbout: TTabSheet
      Caption = 'About'
      ImageIndex = 2
      object Memo2: TMemo
        Left = 0
        Top = 0
        Width = 904
        Height = 574
        Align = alClient
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -13
        Font.Name = 'Verdana'
        Font.Style = []
        Lines.Strings = (
          'Welcome to TWIAScan evaluation package!'
          ''
          
            'This is a demo only project. You can try this application to ver' +
            'ify that it works correctly.'
          
            'For winXP you may need to install the WIA library, available her' +
            'e:'
          'http://vbnet.mvps.org/files/updates/wiaautsdk.zip'
          ''
          'What can you do with this project:'
          '1) set DPI'
          '2) select device'
          '3) scan image from selected device'
          '4) retrieve scanner bed resolution'
          '5) retrieve a dump of WIA properties of selected device'
          '6) observe the code required to operate to component'
          ''
          
            'Scanned image will be stored in the current user'#39's Application D' +
            'ata folder root under the name "wia_scan_test_dtemp.bmp"'
          ''
          
            '----------------------------------------------------------------' +
            '---'
          '********************* Why WIA? *********************'
          
            '----------------------------------------------------------------' +
            '---'
          
            'Because all free or cheap TWAIN/WIA components available for leg' +
            'acy Delphi versions have serious issues:'
          '1) not working at all'
          '2) no DPI setting possible'
          '3) avoiding the scanning UI is not possible'
          '4) no events on abort/error'
          '5) bugs with events, bugs with some devices'
          '6) transferring through clipboard or file only'
          '7) scanned image is clipped'
          '8) cannot set twain properties and parameters'
          ''
          
            'WIA is supposed to work well with all recent devices and Windows' +
            ' versions. XPs may need some installation, see above.'
          ''
          'Website: http://chimera.hu/TWIAScanDelphi'
          'Purchase URL: http://chimera.hu/TWIAScanDelphi/?register'
          ''
          'Copyright Zolt'#225'n P'#233'ter, 2013-')
        ParentFont = False
        ReadOnly = True
        TabOrder = 0
        WordWrap = False
      end
    end
    object tsPic: TTabSheet
      Caption = 'Scan'
      object ScrollBox1: TScrollBox
        Left = 0
        Top = 0
        Width = 904
        Height = 574
        Align = alClient
        TabOrder = 0
        object imScan: TImage
          Left = 0
          Top = 0
          Width = 105
          Height = 105
          AutoSize = True
        end
      end
    end
    object tsDump: TTabSheet
      Caption = 'Dump'
      ImageIndex = 1
      object Memo1: TMemo
        Left = 0
        Top = 0
        Width = 797
        Height = 641
        Align = alClient
        ReadOnly = True
        ScrollBars = ssVertical
        TabOrder = 0
        WordWrap = False
      end
    end
  end
  object Panel1: TPanel
    Left = 0
    Top = 0
    Width = 912
    Height = 89
    Align = alTop
    TabOrder = 1
    object Label1: TLabel
      Left = 8
      Top = 12
      Width = 21
      Height = 13
      Caption = 'DPI:'
    end
    object Label2: TLabel
      Left = 104
      Top = 12
      Width = 37
      Height = 13
      Caption = 'Device:'
    end
    object Label3: TLabel
      Left = 8
      Top = 68
      Width = 80
      Height = 13
      Caption = 'Image resolution:'
    end
    object lbRes: TLabel
      Left = 128
      Top = 68
      Width = 13
      Height = 13
      Caption = '---'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object Label4: TLabel
      Left = 8
      Top = 36
      Width = 89
      Height = 13
      Caption = 'WIA library present'
    end
    object lbResBed: TLabel
      Left = 128
      Top = 52
      Width = 13
      Height = 13
      Caption = '---'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object Label5: TLabel
      Left = 8
      Top = 52
      Width = 112
      Height = 13
      Caption = 'Scanner DPI resolution:'
    end
    object lbState: TLabel
      Left = 128
      Top = 36
      Width = 13
      Height = 13
      Caption = '---'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -11
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
    end
    object btnScan: TButton
      Left = 424
      Top = 8
      Width = 75
      Height = 25
      Caption = 'Scan'
      TabOrder = 0
      OnClick = btnScanClick
    end
    object btnDump: TButton
      Left = 504
      Top = 8
      Width = 75
      Height = 25
      Caption = 'Dump'
      TabOrder = 1
      OnClick = btnDumpClick
    end
    object seDPI: TRxSpinEdit
      Left = 32
      Top = 9
      Width = 60
      Height = 21
      ButtonKind = bkStandard
      MaxValue = 2400
      MinValue = 50
      Value = 300
      TabOrder = 2
    end
    object cbDevice: TComboBox
      Left = 152
      Top = 8
      Width = 269
      Height = 21
      Style = csDropDownList
      ItemHeight = 13
      TabOrder = 3
      OnChange = cbDeviceChange
    end
    object btnBuy: TButton
      Left = 616
      Top = 8
      Width = 289
      Height = 25
      Caption = 'Buy D6 source now'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clBlack
      Font.Height = -16
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
      TabOrder = 4
      OnClick = btnBuyClick
    end
    object cbGrayscale: TCheckBox
      Left = 424
      Top = 34
      Width = 113
      Height = 17
      Caption = 'Grayscale scan'
      TabOrder = 5
    end
    object cbPartial: TCheckBox
      Left = 424
      Top = 50
      Width = 113
      Height = 17
      Caption = 'Partial scan'
      TabOrder = 6
    end
    object btnHelp: TButton
      Left = 615
      Top = 40
      Width = 289
      Height = 25
      Caption = 'See TWIAScan description'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clBlack
      Font.Height = -16
      Font.Name = 'MS Sans Serif'
      Font.Style = [fsBold]
      ParentFont = False
      TabOrder = 7
      OnClick = btnHelpClick
    end
  end
  object wiascan: TWIAScan
    Open = True
    DPI = 150
    Format = sffAuto
    OnScanError = wiascanScanError
    OnScanAbort = wiascanScanAbort
    ScanMedium = smMemory
    Intent = wiColor
    Brightness = 0
    Contrast = 0
    ScanArea = wsaFull
    ScanStartX = 500
    ScanStartY = 200
    ScanWidth = 600
    ScanHeight = 400
    Left = 584
    Top = 8
  end
end
